import {
  __require
} from "./chunk-EZUCZHGV.js";

// src/utils/load-package.util.ts
var MISSING_REQUIRED_DEPENDENCY = (name, reason) => `The "${name}" package is missing. Please, make sure to install this library ($ npm install ${name}) to take advantage of ${reason}.`;
function loadPackage(packageName, context) {
  try {
    return __require(packageName);
  } catch (e) {
    console.error(MISSING_REQUIRED_DEPENDENCY(packageName, context));
    process.exit(1);
  }
}

export {
  loadPackage
};
